Change request reviewers
Assign or list requested reviewers for a change request.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
spaceIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$changeRequestIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Query parameters
pagestringOptional
Identifier of the page results to fetch.
limitnumber · max: 1000Optional
The number of results per page
Responses
200
A list of requested reviewers
application/json
get
/spaces/{spaceId}/change-requests/{changeRequestId}/requested-reviewers200
A list of requested reviewers
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
spaceIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$changeRequestIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Body
usersstring[]Required
An array of user ids that will be requested.
subjectstringOptional
Optionally, update the subject of the change request when requesting reviewers.
Responses
200
The requests have successfully been sent.
application/json
post
/spaces/{spaceId}/change-requests/{changeRequestId}/requested-reviewers200
The requests have successfully been sent.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
spaceIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$changeRequestIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$userIdstringRequired
The unique ID of the User
Responses
204
Reviewer was not found
205
The reviewer has been removed from the change request
delete
/spaces/{spaceId}/change-requests/{changeRequestId}/requested-reviewers/{userId}No content
Last updated
Was this helpful?